<script setup>
const props =defineProps (['url','text']);

function shareInstagram (){
    console.log ("partager sur Instagram: "+props.url);
}
</script>

<template>
        <a @click="shareInstagram()" >
            <img src="/images/orange_instagram.svg" width="20px" height="20px"  :class="text?'mr-1':''" alt="partager sur instagram" />
            {{ text }}
        </a>       
</template>